Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.sm.file
Interface DynamicStateManagerMBean

All Superinterfaces:
  AbstractStateManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  DynamicStateManager

public interface DynamicStateManagerMBean
extends AbstractStateManagerMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addRole(String name)`
`void` | `addUser(String name, String password, String preconfID)`
`void` | `addUserToRole(String roleName, String user)`
`String` | `getStateFile()` Get name of file.
`boolean` | `hasSecurityManager()`
`void` | `loadConfig()`
`void` | `removeRole(String name)`
`void` | `removeUser(String name)`
`void` | `removeUserFromRole(String roleName, String user)`
`void` | `saveConfig()`
`void` | `setHasSecurityManager(boolean hasSecurityManager)`
`void` | `setStateFile(String newStateFile)` Set the name of the statefile.

Methods inherited from interface org.jboss.mq.sm.AbstractStateManagerMBean
`getInstance`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setStateFile

    public void setStateFile(String newStateFile)

  Set the name of the statefile.

  Parameters:
    `newStateFile` - java.lang.String

### getStateFile

    public String getStateFile()

  Get name of file.

  Returns:
    java.lang.String

### hasSecurityManager

    public boolean hasSecurityManager()

### setHasSecurityManager

    public void setHasSecurityManager(boolean hasSecurityManager)

### loadConfig

    public void loadConfig()
                    throws IOException,
                           XElementException

  Throws:
    `IOException`
    `XElementException`

### saveConfig

    public void saveConfig()
                    throws IOException

  Throws:
    `IOException`

### addUser

    public void addUser(String name,
                        String password,
                        String preconfID)
                 throws Exception

  Throws:
    `Exception`

### removeUser

    public void removeUser(String name)
                    throws Exception

  Throws:
    `Exception`

### addRole

    public void addRole(String name)
                 throws Exception

  Throws:
    `Exception`

### removeRole

    public void removeRole(String name)
                    throws Exception

  Throws:
    `Exception`

### addUserToRole

    public void addUserToRole(String roleName,
                              String user)
                       throws Exception

  Throws:
    `Exception`

### removeUserFromRole

    public void removeUserFromRole(String roleName,
                                   String user)
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.